Index: /autom4te.cache/traces.0
===================================================================
--- /autom4te.cache/traces.0	(revision 2)
+++ /autom4te.cache/traces.0	(revision 3)
@@ -9934,354 +10064,136 @@
             fi
         ])
-m4trace:configure.in:86: -1- AC_SUBST([GTK_CFLAGS])
-m4trace:configure.in:86: -1- AC_SUBST([GTK_LIBS])
-m4trace:configure.in:86: -1- AC_SUBST([OGRE_GUI])
-m4trace:configure.in:86: -1- AC_SUBST([GTK_CFLAGS])
-m4trace:configure.in:86: -1- AC_SUBST([GTK_LIBS])
+m4trace:configure.in:86: -1- m4_pattern_allow([^GTK_CFLAGS$])
+m4trace:configure.in:86: -1- m4_pattern_allow([^GTK_LIBS$])
+m4trace:configure.in:86: -1- PKG_CHECK_EXISTS([gtk+-2.0 >= 2.0.0], [pkg_cv_[]GTK_CFLAGS=`$PKG_CONFIG --[]cflags "gtk+-2.0 >= 2.0.0" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:86: -1- PKG_CHECK_EXISTS([gtk+-2.0 >= 2.0.0], [pkg_cv_[]GTK_LIBS=`$PKG_CONFIG --[]libs "gtk+-2.0 >= 2.0.0" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:86: -1- _PKG_SHORT_ERRORS_SUPPORTED
+m4trace:configure.in:86: -1- m4_pattern_allow([^OGRE_GUI$])
+m4trace:configure.in:86: -1- m4_pattern_allow([^GTK_CFLAGS$])
+m4trace:configure.in:86: -1- m4_pattern_allow([^GTK_LIBS$])
 m4trace:configure.in:87: -1- OGRE_CHECK_DOUBLE
 m4trace:configure.in:87: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:484: OGRE_CHECK_DOUBLE is expanded from...
 configure.in:87: the top level])
-m4trace:configure.in:87: -1- AC_DEFINE_TRACE_LITERAL([OGRE_DOUBLE_PRECISION])
-m4trace:configure.in:87: -1- AH_OUTPUT([OGRE_DOUBLE_PRECISION], [/* Build with double precision */
-#undef OGRE_DOUBLE_PRECISION])
-m4trace:configure.in:87: -1- AC_DEFINE_TRACE_LITERAL([OGRE_DOUBLE_PRECISION])
-m4trace:configure.in:87: -1- AH_OUTPUT([OGRE_DOUBLE_PRECISION], [/* Build with single precision */
-#undef OGRE_DOUBLE_PRECISION])
+m4trace:configure.in:87: -1- m4_pattern_allow([^OGRE_DOUBLE_PRECISION$])
+m4trace:configure.in:87: -1- m4_pattern_allow([^OGRE_DOUBLE_PRECISION$])
 m4trace:configure.in:88: -1- OGRE_CHECK_THREADING
 m4trace:configure.in:88: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:509: OGRE_CHECK_THREADING is expanded from...
 configure.in:88: the top level])
-m4trace:configure.in:88: -1- AC_DEFINE_TRACE_LITERAL([OGRE_THREAD_SUPPORT])
-m4trace:configure.in:88: -1- AH_OUTPUT([OGRE_THREAD_SUPPORT], [/* Build with thread support */
-#undef OGRE_THREAD_SUPPORT])
-m4trace:configure.in:88: -1- AC_CHECK_LIB([boost_thread], [main], [OGRE_THREAD_LIBS="-lboost_thread"], [
-                AC_CHECK_LIB(boost_thread-mt, main, OGRE_THREAD_LIBS="-lboost_thread-mt", [
-                    AC_MSG_ERROR([You need the C++ boost libraries.])])])
-m4trace:configure.in:88: -1- AC_CHECK_LIB([boost_thread-mt], [main], [OGRE_THREAD_LIBS="-lboost_thread-mt"], [
-                    AC_MSG_ERROR([You need the C++ boost libraries.])])
-m4trace:configure.in:88: -1- AC_DEFINE_TRACE_LITERAL([OGRE_THREAD_SUPPORT])
-m4trace:configure.in:88: -1- AH_OUTPUT([OGRE_THREAD_SUPPORT], [/* Build with thread support */
-#undef OGRE_THREAD_SUPPORT])
-m4trace:configure.in:88: -1- AC_SUBST([OGRE_THREAD_LIBS])
+m4trace:configure.in:88: -1- m4_pattern_allow([^OGRE_THREAD_SUPPORT$])
+m4trace:configure.in:88: -1- m4_pattern_allow([^OGRE_THREAD_SUPPORT$])
+m4trace:configure.in:88: -1- m4_pattern_allow([^OGRE_THREAD_LIBS$])
 m4trace:configure.in:89: -1- OGRE_CHECK_FREEIMAGE
 m4trace:configure.in:89: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:395: OGRE_CHECK_FREEIMAGE is expanded from...
 configure.in:89: the top level])
 m4trace:configure.in:89: -1- AM_CONDITIONAL([USE_FREEIMAGE], [test x$build_freeimage = xyes])
-m4trace:configure.in:89: -1- AC_SUBST([USE_FREEIMAGE_TRUE])
-m4trace:configure.in:89: -1- AC_SUBST([USE_FREEIMAGE_FALSE])
-m4trace:configure.in:89: -1- AC_CHECK_LIB([freeimage], [FreeImage_Load], [], [{ { echo "$as_me:$LINENO: error: 
-****************************************************************
-* You do not have FreeImage installed.  This is required.      *
-* You may find it at http://freeimage.sourceforge.net/.        *
-* Note: You can also provide --disable-freeimage to the build  *
-* process to build without it. This is an advanced option      *
-* useful only if you provide your own image loading codecs.    *
-****************************************************************" >&5
-echo "$as_me: error: 
-****************************************************************
-* You do not have FreeImage installed.  This is required.      *
-* You may find it at http://freeimage.sourceforge.net/.        *
-* Note: You can also provide --disable-freeimage to the build  *
-* process to build without it. This is an advanced option      *
-* useful only if you provide your own image loading codecs.    *
-****************************************************************" >&2;}
-   { (exit 1); exit 1; }; }], [-lstdc++])
-m4trace:configure.in:89: -1- AH_OUTPUT([HAVE_LIBFREEIMAGE], [/* Define to 1 if you have the `freeimage\' library (-lfreeimage). */
-#undef HAVE_LIBFREEIMAGE])
-m4trace:configure.in:89: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBFREEIMAGE])
-m4trace:configure.in:89: -1- AC_DEFINE_TRACE_LITERAL([OGRE_NO_FREEIMAGE])
-m4trace:configure.in:89: -1- AH_OUTPUT([OGRE_NO_FREEIMAGE], [/* Do not use freeimage to load images */
-#undef OGRE_NO_FREEIMAGE])
-m4trace:configure.in:89: -1- AC_DEFINE_TRACE_LITERAL([OGRE_NO_FREEIMAGE])
-m4trace:configure.in:89: -1- AH_OUTPUT([OGRE_NO_FREEIMAGE], [/* Load images using the freeimage library */
-#undef OGRE_NO_FREEIMAGE])
+m4trace:configure.in:89: -1- m4_pattern_allow([^USE_FREEIMAGE_TRUE$])
+m4trace:configure.in:89: -1- m4_pattern_allow([^USE_FREEIMAGE_FALSE$])
+m4trace:configure.in:89: -1- m4_pattern_allow([^HAVE_LIBFREEIMAGE$])
+m4trace:configure.in:89: -1- m4_pattern_allow([^OGRE_NO_FREEIMAGE$])
+m4trace:configure.in:89: -1- m4_pattern_allow([^OGRE_NO_FREEIMAGE$])
 m4trace:configure.in:90: -1- OGRE_CHECK_DEVIL
 m4trace:configure.in:90: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:428: OGRE_CHECK_DEVIL is expanded from...
 configure.in:90: the top level])
 m4trace:configure.in:90: -1- AM_CONDITIONAL([USE_DEVIL], [test x$build_il = xyes && test x$build_freeimage = xno])
-m4trace:configure.in:90: -1- AC_SUBST([USE_DEVIL_TRUE])
-m4trace:configure.in:90: -1- AC_SUBST([USE_DEVIL_FALSE])
-m4trace:configure.in:90: -1- AC_DEFINE_TRACE_LITERAL([OGRE_NO_DEVIL])
-m4trace:configure.in:90: -1- AH_OUTPUT([OGRE_NO_DEVIL], [/* Build devil */
-#undef OGRE_NO_DEVIL])
-m4trace:configure.in:90: -1- AC_CHECK_LIB([IL], [ilInit], [], [{ { echo "$as_me:$LINENO: error: 
-****************************************************************
-* You do not have DevIL installed.  This is required to build. *
-* You may find it at http://openil.sourceforge.net/.           *
-* Note: You can also provide --disable-devil to the build      *
-* process to build without DevIL. This is an advanced option   *
-* useful only if you provide your own image loading codecs.    *
-****************************************************************" >&5
-echo "$as_me: error: 
-****************************************************************
-* You do not have DevIL installed.  This is required to build. *
-* You may find it at http://openil.sourceforge.net/.           *
-* Note: You can also provide --disable-devil to the build      *
-* process to build without DevIL. This is an advanced option   *
-* useful only if you provide your own image loading codecs.    *
-****************************************************************" >&2;}
-   { (exit 1); exit 1; }; }])
-m4trace:configure.in:90: -1- AH_OUTPUT([HAVE_LIBIL], [/* Define to 1 if you have the `IL\' library (-lIL). */
-#undef HAVE_LIBIL])
-m4trace:configure.in:90: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBIL])
-m4trace:configure.in:90: -1- AC_CHECK_LIB([ILU], [iluFlipImage])
-m4trace:configure.in:90: -1- AH_OUTPUT([HAVE_LIBILU], [/* Define to 1 if you have the `ILU\' library (-lILU). */
-#undef HAVE_LIBILU])
-m4trace:configure.in:90: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBILU])
-m4trace:configure.in:90: -1- AC_DEFINE_TRACE_LITERAL([OGRE_NO_DEVIL])
-m4trace:configure.in:90: -1- AH_OUTPUT([OGRE_NO_DEVIL], [/* Build devil */
-#undef OGRE_NO_DEVIL])
-m4trace:configure.in:90: -1- AC_DEFINE_TRACE_LITERAL([OGRE_NO_DEVIL])
-m4trace:configure.in:90: -1- AH_OUTPUT([OGRE_NO_DEVIL], [/* Build devil */
-#undef OGRE_NO_DEVIL])
+m4trace:configure.in:90: -1- m4_pattern_allow([^USE_DEVIL_TRUE$])
+m4trace:configure.in:90: -1- m4_pattern_allow([^USE_DEVIL_FALSE$])
+m4trace:configure.in:90: -1- m4_pattern_allow([^OGRE_NO_DEVIL$])
+m4trace:configure.in:90: -1- m4_pattern_allow([^HAVE_LIBIL$])
+m4trace:configure.in:90: -1- m4_pattern_allow([^HAVE_LIBILU$])
+m4trace:configure.in:90: -1- m4_pattern_allow([^OGRE_NO_DEVIL$])
+m4trace:configure.in:90: -1- m4_pattern_allow([^OGRE_NO_DEVIL$])
 m4trace:configure.in:91: -1- OGRE_CHECK_CG
 m4trace:configure.in:91: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:348: OGRE_CHECK_CG is expanded from...
 configure.in:91: the top level])
-m4trace:configure.in:91: -1- AC_CHECK_LIB([Cg], [cgCreateProgram], [], [{ { echo "$as_me:$LINENO: error: 
-	****************************************************************
-	* You do not have the nVidia Cg libraries installed.           *
-	* Go to http://developer.nvidia.com/object/cg_toolkit.html     *
-	* (Click on Cg_Linux.tar.gz).                                  *
-	* You can disable the building of Cg support by providing      *	
-	* --disable-cg to this configure script but this is highly     *
-	* discouraged as this breaks many of the examples.             *
-	****************************************************************" >&5
-echo "$as_me: error: 
-	****************************************************************
-	* You do not have the nVidia Cg libraries installed.           *
-	* Go to http://developer.nvidia.com/object/cg_toolkit.html     *
-	* (Click on Cg_Linux.tar.gz).                                  *
-	* You can disable the building of Cg support by providing      *	
-	* --disable-cg to this configure script but this is highly     *
-	* discouraged as this breaks many of the examples.             *
-	****************************************************************" >&2;}
-   { (exit 1); exit 1; }; }
-	])
-m4trace:configure.in:91: -1- AH_OUTPUT([HAVE_LIBCG], [/* Define to 1 if you have the `Cg\' library (-lCg). */
-#undef HAVE_LIBCG])
-m4trace:configure.in:91: -1- AC_DEFINE_TRACE_LITERAL([HAVE_LIBCG])
+m4trace:configure.in:91: -1- m4_pattern_allow([^HAVE_LIBCG$])
 m4trace:configure.in:91: -1- AM_CONDITIONAL([BUILD_CGPLUGIN], [test x$build_cg = xyes])
-m4trace:configure.in:91: -1- AC_SUBST([BUILD_CGPLUGIN_TRUE])
-m4trace:configure.in:91: -1- AC_SUBST([BUILD_CGPLUGIN_FALSE])
+m4trace:configure.in:91: -1- m4_pattern_allow([^BUILD_CGPLUGIN_TRUE$])
+m4trace:configure.in:91: -1- m4_pattern_allow([^BUILD_CGPLUGIN_FALSE$])
 m4trace:configure.in:92: -1- OGRE_CHECK_OPENEXR
 m4trace:configure.in:92: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:324: OGRE_CHECK_OPENEXR is expanded from...
 configure.in:92: the top level])
 m4trace:configure.in:92: -1- PKG_CHECK_MODULES([OPENEXR], [OpenEXR], [build_exr=yes], [build_exr=no])
-m4trace:configure.in:92: -1- AC_SUBST([OPENEXR_CFLAGS])
-m4trace:configure.in:92: -1- AC_SUBST([OPENEXR_LIBS])
-m4trace:configure.in:92: -1- AC_CONFIG_FILES([ PlugIns/EXRCodec/Makefile \
-    					 PlugIns/EXRCodec/src/Makefile \
-    					 PlugIns/EXRCodec/include/Makefile])
-m4trace:configure.in:92: -1- AC_SUBST([OPENEXR_CFLAGS])
-m4trace:configure.in:92: -1- AC_SUBST([OPENEXR_LIBS])
+m4trace:configure.in:92: -1- m4_pattern_allow([^OPENEXR_CFLAGS$])
+m4trace:configure.in:92: -1- m4_pattern_allow([^OPENEXR_LIBS$])
+m4trace:configure.in:92: -1- PKG_CHECK_EXISTS([OpenEXR], [pkg_cv_[]OPENEXR_CFLAGS=`$PKG_CONFIG --[]cflags "OpenEXR" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:92: -1- PKG_CHECK_EXISTS([OpenEXR], [pkg_cv_[]OPENEXR_LIBS=`$PKG_CONFIG --[]libs "OpenEXR" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:92: -1- _PKG_SHORT_ERRORS_SUPPORTED
+m4trace:configure.in:92: -1- m4_pattern_allow([^OPENEXR_CFLAGS$])
+m4trace:configure.in:92: -1- m4_pattern_allow([^OPENEXR_LIBS$])
 m4trace:configure.in:92: -1- AM_CONDITIONAL([BUILD_EXRPLUGIN], [test x$build_exr = xyes])
-m4trace:configure.in:92: -1- AC_SUBST([BUILD_EXRPLUGIN_TRUE])
-m4trace:configure.in:92: -1- AC_SUBST([BUILD_EXRPLUGIN_FALSE])
+m4trace:configure.in:92: -1- m4_pattern_allow([^BUILD_EXRPLUGIN_TRUE$])
+m4trace:configure.in:92: -1- m4_pattern_allow([^BUILD_EXRPLUGIN_FALSE$])
 m4trace:configure.in:93: -1- OGRE_CHECK_DX9
 m4trace:configure.in:93: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:366: OGRE_CHECK_DX9 is expanded from...
 configure.in:93: the top level])
 m4trace:configure.in:93: -1- AM_CONDITIONAL([BUILD_DX9RENDERSYSTEM], [test x$build_dx9 = xyes])
-m4trace:configure.in:93: -1- AC_SUBST([BUILD_DX9RENDERSYSTEM_TRUE])
-m4trace:configure.in:93: -1- AC_SUBST([BUILD_DX9RENDERSYSTEM_FALSE])
+m4trace:configure.in:93: -1- m4_pattern_allow([^BUILD_DX9RENDERSYSTEM_TRUE$])
+m4trace:configure.in:93: -1- m4_pattern_allow([^BUILD_DX9RENDERSYSTEM_FALSE$])
 m4trace:configure.in:94: -1- OGRE_CHECK_SSE
 m4trace:configure.in:94: -1- AM_CONDITIONAL([OGRE_BUILD_SSE], [test x$build_sse = xyes])
-m4trace:configure.in:94: -1- AC_SUBST([OGRE_BUILD_SSE_TRUE])
-m4trace:configure.in:94: -1- AC_SUBST([OGRE_BUILD_SSE_FALSE])
+m4trace:configure.in:94: -1- m4_pattern_allow([^OGRE_BUILD_SSE_TRUE$])
+m4trace:configure.in:94: -1- m4_pattern_allow([^OGRE_BUILD_SSE_FALSE$])
 m4trace:configure.in:98: -1- OGRE_PLATFORM_AND_GUI
 m4trace:configure.in:98: -1- AM_CONDITIONAL([SAME_PLATFORM_AND_GUI], [test "x$OGRE_PLATFORM" = "x$OGRE_GUI"])
-m4trace:configure.in:98: -1- AC_SUBST([SAME_PLATFORM_AND_GUI_TRUE])
-m4trace:configure.in:98: -1- AC_SUBST([SAME_PLATFORM_AND_GUI_FALSE])
+m4trace:configure.in:98: -1- m4_pattern_allow([^SAME_PLATFORM_AND_GUI_TRUE$])
+m4trace:configure.in:98: -1- m4_pattern_allow([^SAME_PLATFORM_AND_GUI_FALSE$])
 m4trace:configure.in:101: -1- OGRE_BUILD_DEMOS
 m4trace:configure.in:101: -2- _m4_warn([obsolete], [The macro `AC_HELP_STRING' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:219: AC_HELP_STRING is expanded from...
+You should run autoupdate.], [autoconf/general.m4:209: AC_HELP_STRING is expanded from...
 acinclude.m4:541: OGRE_BUILD_DEMOS is expanded from...
 configure.in:101: the top level])
 m4trace:configure.in:101: -1- PKG_CHECK_MODULES([OIS], [OIS >= 1.0.0], [ois_found=yes], [ois_found=no])
-m4trace:configure.in:101: -1- AC_SUBST([OIS_CFLAGS])
-m4trace:configure.in:101: -1- AC_SUBST([OIS_LIBS])
-m4trace:configure.in:101: -1- AC_SUBST([OIS_CFLAGS])
-m4trace:configure.in:101: -1- AC_SUBST([OIS_LIBS])
+m4trace:configure.in:101: -1- m4_pattern_allow([^OIS_CFLAGS$])
+m4trace:configure.in:101: -1- m4_pattern_allow([^OIS_LIBS$])
+m4trace:configure.in:101: -1- PKG_CHECK_EXISTS([OIS >= 1.0.0], [pkg_cv_[]OIS_CFLAGS=`$PKG_CONFIG --[]cflags "OIS >= 1.0.0" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:101: -1- PKG_CHECK_EXISTS([OIS >= 1.0.0], [pkg_cv_[]OIS_LIBS=`$PKG_CONFIG --[]libs "OIS >= 1.0.0" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:101: -1- _PKG_SHORT_ERRORS_SUPPORTED
+m4trace:configure.in:101: -1- m4_pattern_allow([^OIS_CFLAGS$])
+m4trace:configure.in:101: -1- m4_pattern_allow([^OIS_LIBS$])
 m4trace:configure.in:101: -1- AM_CONDITIONAL([OGRE_BUILDING_DEMOS], [test x$build_ogre_demos = xyes])
-m4trace:configure.in:101: -1- AC_SUBST([OGRE_BUILDING_DEMOS_TRUE])
-m4trace:configure.in:101: -1- AC_SUBST([OGRE_BUILDING_DEMOS_FALSE])
+m4trace:configure.in:101: -1- m4_pattern_allow([^OGRE_BUILDING_DEMOS_TRUE$])
+m4trace:configure.in:101: -1- m4_pattern_allow([^OGRE_BUILDING_DEMOS_FALSE$])
 m4trace:configure.in:104: -1- OGRE_DETECT_ENDIAN
 m4trace:configure.in:104: -1- _m4_warn([obsolete], [The macro `AC_TRY_RUN' is obsolete.
-You should run autoupdate.], [autoconf/general.m4:2289: AC_TRY_RUN is expanded from...
+You should run autoupdate.], [autoconf/general.m4:2479: AC_TRY_RUN is expanded from...
 acinclude.m4:299: OGRE_DETECT_ENDIAN is expanded from...
 configure.in:104: the top level])
-m4trace:configure.in:104: -1- _m4_warn([cross], [AC_RUN_IFELSE called without default to allow cross compiling], [autoconf/general.m4:2281: AC_RUN_IFELSE is expanded from...
-autoconf/general.m4:2289: AC_TRY_RUN is expanded from...
+m4trace:configure.in:104: -1- _m4_warn([cross], [AC_RUN_IFELSE called without default to allow cross compiling], [autoconf/general.m4:2471: AC_RUN_IFELSE is expanded from...
+autoconf/general.m4:2479: AC_TRY_RUN is expanded from...
 acinclude.m4:299: OGRE_DETECT_ENDIAN is expanded from...
 configure.in:104: the top level])
-m4trace:configure.in:104: -1- AC_DEFINE_TRACE_LITERAL([OGRE_CONFIG_BIG_ENDIAN])
-m4trace:configure.in:104: -1- AH_OUTPUT([OGRE_CONFIG_BIG_ENDIAN], [/* Big endian machine */
-#undef OGRE_CONFIG_BIG_ENDIAN])
-m4trace:configure.in:104: -1- AC_DEFINE_TRACE_LITERAL([OGRE_CONFIG_LITTLE_ENDIAN])
-m4trace:configure.in:104: -1- AH_OUTPUT([OGRE_CONFIG_LITTLE_ENDIAN], [/* Little endian machine */
-#undef OGRE_CONFIG_LITTLE_ENDIAN])
+m4trace:configure.in:104: -1- m4_pattern_allow([^OGRE_CONFIG_BIG_ENDIAN$])
+m4trace:configure.in:104: -1- m4_pattern_allow([^OGRE_CONFIG_LITTLE_ENDIAN$])
 m4trace:configure.in:107: -1- OGRE_CHECK_PIC
 m4trace:configure.in:110: -1- OGRE_CHECK_CEGUI
 m4trace:configure.in:110: -1- PKG_CHECK_MODULES([CEGUI], [CEGUI >= 0.5.0], [build_cegui_sample=true], [build_cegui_sample=false])
-m4trace:configure.in:110: -1- AC_SUBST([CEGUI_CFLAGS])
-m4trace:configure.in:110: -1- AC_SUBST([CEGUI_LIBS])
-m4trace:configure.in:110: -1- AC_CONFIG_FILES([Samples/Common/CEGUIRenderer/Makefile \
-                         Samples/Common/CEGUIRenderer/CEGUI-OGRE.pc
-                         Samples/Common/CEGUIRenderer/src/Makefile \
-                         Samples/Common/CEGUIRenderer/include/Makefile \
-                         Samples/Gui/Makefile \
-                         Samples/Gui/src/Makefile])
-m4trace:configure.in:110: -1- AC_SUBST([CEGUI_CFLAGS])
-m4trace:configure.in:110: -1- AC_SUBST([CEGUI_LIBS])
+m4trace:configure.in:110: -1- m4_pattern_allow([^CEGUI_CFLAGS$])
+m4trace:configure.in:110: -1- m4_pattern_allow([^CEGUI_LIBS$])
+m4trace:configure.in:110: -1- PKG_CHECK_EXISTS([CEGUI >= 0.5.0], [pkg_cv_[]CEGUI_CFLAGS=`$PKG_CONFIG --[]cflags "CEGUI >= 0.5.0" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:110: -1- PKG_CHECK_EXISTS([CEGUI >= 0.5.0], [pkg_cv_[]CEGUI_LIBS=`$PKG_CONFIG --[]libs "CEGUI >= 0.5.0" 2>/dev/null`], [pkg_failed=yes])
+m4trace:configure.in:110: -1- _PKG_SHORT_ERRORS_SUPPORTED
+m4trace:configure.in:110: -1- m4_pattern_allow([^CEGUI_CFLAGS$])
+m4trace:configure.in:110: -1- m4_pattern_allow([^CEGUI_LIBS$])
 m4trace:configure.in:110: -1- AM_CONDITIONAL([HAVE_CEGUI], [test x$build_cegui_sample = xtrue])
-m4trace:configure.in:110: -1- AC_SUBST([HAVE_CEGUI_TRUE])
-m4trace:configure.in:110: -1- AC_SUBST([HAVE_CEGUI_FALSE])
-m4trace:configure.in:118: -1- AC_SUBST([abs_top_builddir])
-m4trace:configure.in:119: -1- AC_SUBST([ogreexecdir])
-m4trace:configure.in:252: -1- AC_CONFIG_FILES([Makefile \
-    OgreMain/Makefile \
-    OgreMain/src/Makefile \
-    OgreMain/include/Makefile \
-    OgreMain/include/GLX/Makefile \
-    OgreMain/include/gtk/Makefile \
-    PlugIns/Makefile \
-    PlugIns/BSPSceneManager/Makefile \
-    PlugIns/BSPSceneManager/src/Makefile \
-    PlugIns/BSPSceneManager/include/Makefile \
-    PlugIns/CgProgramManager/Makefile \
-    PlugIns/CgProgramManager/src/Makefile \
-    PlugIns/CgProgramManager/include/Makefile \
-    PlugIns/OctreeSceneManager/Makefile \
-    PlugIns/OctreeSceneManager/src/Makefile \
-    PlugIns/OctreeSceneManager/include/Makefile \
-    PlugIns/ParticleFX/Makefile \
-    PlugIns/ParticleFX/src/Makefile \
-    PlugIns/ParticleFX/include/Makefile \
-    RenderSystems/Makefile \
-    RenderSystems/GL/Makefile \
-    RenderSystems/GL/src/Makefile \
-    RenderSystems/GL/include/Makefile \
-    RenderSystems/GL/src/atifs/Makefile \
-    RenderSystems/GL/src/atifs/include/Makefile \
-    RenderSystems/GL/src/atifs/src/Makefile \
-    RenderSystems/GL/src/GLSL/Makefile \
-    RenderSystems/GL/src/GLSL/include/Makefile \
-    RenderSystems/GL/src/GLSL/src/Makefile \
-    RenderSystems/GL/src/nvparse/Makefile \
-    RenderSystems/Direct3D9/Makefile \
-    RenderSystems/Direct3D9/src/Makefile \
-    RenderSystems/Direct3D9/include/Makefile \
-    Samples/Makefile \
-    Samples/Common/Makefile \
-    Samples/Common/include/Makefile \
-    Samples/Common/bin/Makefile \
-    Samples/BezierPatch/Makefile \
-    Samples/BezierPatch/src/Makefile \
-    Samples/BezierPatch/include/Makefile \
-    Samples/CameraTrack/Makefile \
-    Samples/CameraTrack/src/Makefile \
-    Samples/CelShading/Makefile \
-    Samples/CelShading/src/Makefile \
-    Samples/Compositor/Makefile \
-    Samples/Compositor/src/Makefile \
-    Samples/Compositor/include/Makefile \
-    Samples/CubeMapping/Makefile \
-    Samples/CubeMapping/src/Makefile \
-    Samples/CubeMapping/include/Makefile \
-    Samples/DeferredShading/Makefile \
-    Samples/DeferredShading/src/Makefile \
-    Samples/DeferredShading/include/Makefile  \
-    Samples/Dot3Bump/Makefile \
-    Samples/Dot3Bump/src/Makefile \
-    Samples/EnvMapping/Makefile \
-    Samples/EnvMapping/src/Makefile \
-    Samples/EnvMapping/include/Makefile \
-    Samples/FacialAnimation/Makefile \
-    Samples/FacialAnimation/src/Makefile \
-    Samples/Fresnel/Makefile \
-    Samples/Fresnel/src/Makefile \
-    Samples/Grass/Makefile \
-    Samples/Grass/src/Makefile \
-    Samples/Transpacency/Makefile \
-    Samples/Transpacency/src/Makefile \
-    Samples/Transpacency/include/Makefile \
-    Samples/Lighting/Makefile \
-    Samples/Lighting/src/Makefile \
-    Samples/Lighting/include/Makefile \
-    Samples/OceanDemo/Makefile \
-    Samples/OceanDemo/src/Makefile \
-    Samples/OceanDemo/include/Makefile \
-    Samples/ParticleFX/Makefile \
-    Samples/ParticleFX/src/Makefile \
-    Samples/ParticleFX/include/Makefile \
-    Samples/RenderToTexture/Makefile \
-    Samples/RenderToTexture/src/Makefile \
-    Samples/TextureFX/Makefile \
-    Samples/TextureFX/src/Makefile \
-    Samples/TextureFX/include/Makefile \
-    Samples/Shadows/Makefile \
-    Samples/Shadows/src/Makefile \
-    Samples/SkyBox/Makefile \
-    Samples/SkyBox/src/Makefile \
-    Samples/SkyBox/include/Makefile \
-    Samples/SkyDome/Makefile \
-    Samples/SkyDome/src/Makefile \
-    Samples/SkyDome/include/Makefile \
-    Samples/SkyPlane/Makefile \
-    Samples/SkyPlane/src/Makefile \
-    Samples/SkyPlane/include/Makefile \
-    Samples/Smoke/Makefile \
-    Samples/Smoke/src/Makefile \
-    Samples/Smoke/include/Makefile \
-    Samples/BSP/Makefile \
-    Samples/BSP/src/Makefile \
-    Samples/SkeletalAnimation/Makefile \
-    Samples/SkeletalAnimation/src/Makefile \
-    Samples/SkeletalAnimation/include/Makefile \
-    Samples/Terrain/Makefile \
-    Samples/Terrain/src/Makefile \
-    Samples/Terrain/include/Makefile \
-    Samples/Water/Makefile \
-    Samples/Water/src/Makefile \
-    Samples/Water/include/Makefile \
-    Samples/DynTex/Makefile \
-    Samples/DynTex/src/Makefile \
-    Samples/DynTex/include/Makefile \
-    Samples/VolumeTex/Makefile \
-    Samples/VolumeTex/src/Makefile \
-    Samples/VolumeTex/include/Makefile \
-    Samples/Instancing/Makefile \
-    Samples/Instancing/src/Makefile \
-    Samples/Instancing/include/Makefile \
-    Tests/Makefile \
-    Tests/src/Makefile \
-    Tools/Makefile \
-    Tools/MaterialUpgrader/Makefile \
-    Tools/MaterialUpgrader/src/Makefile \
-    Tools/MaterialUpgrader/include/Makefile \
-    Tools/MeshUpgrader/Makefile \
-    Tools/MeshUpgrader/src/Makefile \
-    Tools/XMLConverter/Makefile \
-    Tools/XMLConverter/src/Makefile \
-    Tools/XMLConverter/include/Makefile \
-    Tools/LightwaveConverter/Makefile \
-    Tools/LightwaveConverter/src/Makefile \
-    Tools/LightwaveConverter/include/Makefile \
-    OGRE.pc
-    ])
-m4trace:configure.in:254: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
-m4trace:configure.in:254: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
+m4trace:configure.in:110: -1- m4_pattern_allow([^HAVE_CEGUI_TRUE$])
+m4trace:configure.in:110: -1- m4_pattern_allow([^HAVE_CEGUI_FALSE$])
+m4trace:configure.in:118: -1- m4_pattern_allow([^abs_top_builddir$])
+m4trace:configure.in:119: -1- m4_pattern_allow([^ogreexecdir$])
+m4trace:configure.in:254: -1- m4_pattern_allow([^LIB@&t@OBJS$])
+m4trace:configure.in:254: -1- m4_pattern_allow([^LTLIBOBJS$])
 m4trace:configure.in:254: -1- _AC_AM_CONFIG_HEADER_HOOK([$ac_file])
 m4trace:configure.in:254: -1- _AM_OUTPUT_DEPENDENCY_COMMANDS
